Name:           perl-Locale-SubCountry
Version:        2.01
Release:        1%{?dist}
Summary:        ISO 3166-2 two letter subcountry codes
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Locale-SubCountry
Source0:        http://search.cpan.org/CPAN/authors/id/K/KI/KIMRYAN/Locale-SubCountry-%{version}.tar.gz
# Normalize Changes encoding
Patch0:         Locale-SubCountry-2.01-Convert-to-UTF-8.patch
BuildArch:      noarch 
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time
BuildRequires:  perl(Exporter)
BuildRequires:  perl(JSON) >= 1
BuildRequires:  perl(locale) >= 1
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Tests
BuildRequires:  perl(Test::More) >= 0.94
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(JSON) >= 1
Requires:       perl(locale) >= 1

# Filter under-sepcified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((JSON|locale)\\)$

%description
This module allows you to convert the full name for a countries administrative
region to the code commonly used for postal addressing. The reverse look-up
can also be done. Sub country codes are defined in "ISO 3166-2:2007, Codes for
the representation of names of countries and their subdivisions".

Sub countries are termed as states in the US and Australia, provinces in
Canada and counties in the UK and Ireland.

%prep
%setup -q -n Locale-SubCountry-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENCE
%doc Changes README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Sep 02 2016 Petr Pisar <ppisar@redhat.com> - 2.01-1
- 2.01 bump

* Fri Aug 12 2016 Jitka Plesnikova <jplesnik@redhat.com> - 2.00-1
- 2.00 bump

* Mon Jul 25 2016 Petr Pisar <ppisar@redhat.com> - 1.66-1
- 1.66 bump

* Tue Apr 26 2016 Petr Pisar <ppisar@redhat.com> - 1.65-1
- 1.65 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.64-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.64-2
- Perl 5.22 rebuild

* Tue Apr 07 2015 Petr Pisar <ppisar@redhat.com> - 1.64-1
- 1.64 bump

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.63-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Petr Pisar <ppisar@redhat.com> - 1.63-1
- 1.63 bump

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 1.62-2
- Perl 5.18 rebuild

* Mon Jul 29 2013 Petr Pisar <ppisar@redhat.com> - 1.62-1
- 1.62 bump

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 1.61-2
- Perl 5.18 rebuild

* Fri Feb 15 2013 Petr Pisar <ppisar@redhat.com> - 1.61-1
- 1.61 bump

* Wed Feb 13 2013 Petr Pisar <ppisar@redhat.com> - 1.60-1
- 1.60 bump

* Thu Jan 24 2013 Petr Pisar <ppisar@redhat.com> - 1.59-1
- 1.59 bump

* Tue Jan 15 2013 Petr Pisar <ppisar@redhat.com> - 1.57-1
- 1.57 bump

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.56-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Petr Pisar <ppisar@redhat.com> - 1.56-2
- Perl 5.16 rebuild

* Wed Jul 11 2012 Petr Pisar <ppisar@redhat.com> - 1.56-1
- 1.56 bump

* Mon Jul 09 2012 Petr Pisar <ppisar@redhat.com> - 1.51-2
- Perl 5.16 rebuild

* Tue Jul 03 2012 Petr Pisar <ppisar@redhat.com> - 1.51-1
- 1.51 bump

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 1.50-2
- Perl 5.16 rebuild

* Wed Apr 18 2012 Petr Pisar <ppisar@redhat.com> - 1.50-1
- 1.50 bump

* Thu Jan 26 2012 Petr Pisar <ppisar@redhat.com> - 1.47-1
- 1.47 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.41-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.41-9
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.41-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.41-7
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.41-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.41-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.41-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.41-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.41-1
- update to 1.41
- chmod -x everything

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.38-2
- rebuild for new perl

* Tue Dec 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.38-1
- update to 1.38
- minor specfile tweaks

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-2
- bump for mass rebuild

* Wed Jul  5 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-1
- bump release for f-e build

* Mon Jul  3 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-0.1
- add additional buildreq's

* Thu Jun 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-0
- Initial spec file for F-E
